---
title: DeepSeek Search | RunAPI
description: RunAPI의 DeepSeek 호환 Search 작업으로 요청을 보냅니다.
url: https://runapi.ai/ko/docs/api/deepseek/search.md
canonical: https://runapi.ai/ko/docs/api/deepseek/search
locale: ko
---

> HTML 버전: https://runapi.ai/ko/docs/api/deepseek/search
> 에이전트용 사이트 색인: https://runapi.ai/llms.txt

# DeepSeek Search

## 개요

이 경로로 선택되는 동기식 검색입니다. 모델이 필요하지 않으며 스트리밍은 지원하지 않습니다. 알 수 없는 필드는 허용되지만 무시됩니다.

### 빠른 시작

1. API 키를 만들고 RUNAPI_API_KEY로 설정합니다.
2. 문서에 명시된 JSON 본문을 보냅니다. 모델은 필요하지 않습니다.
3. JSON 응답을 읽고 문서에 명시된 프로토콜 오류를 처리합니다.

## 엔드포인트

POST /v1/tools/search

Base URL: https://runapi.ai

계약 버전: v1

권장 인증 방식: Authorization: Bearer YOUR_API_TOKEN

## 인증 정보 전달 방식

RunAPI는 아래 나열된 각 캐리어를 허용합니다. 생성된 샘플은 프로토콜의 기본 헤더를 사용합니다.

- `Authorization: Bearer YOUR_API_TOKEN` (권장)
- `x-api-key: YOUR_API_TOKEN`
- `x-goog-api-key: YOUR_API_TOKEN`
- `?key=YOUR_API_TOKEN`

## 호환 모델

현재 가격, 속도 제한 및 상업적 이용 세부 정보는 모델 페이지를 여십시오.

- [deepseek-search](https://runapi.ai/ko/models/deepseek-search)

## 요청 계약

이 경로로 선택되는 동기식 검색입니다. 모델이 필요하지 않으며 스트리밍은 지원하지 않습니다. 알 수 없는 필드는 허용되지만 무시됩니다.

### JSON 본문

필수: `query`

```json
{
  "count": {
    "description": "요청할 결과 수로, 1부터 50까지입니다.",
    "maximum": 50,
    "minimum": 1,
    "type": "integer"
  },
  "localization": {
    "description": "최종 사용자의 IP 주소 등 지역 정보 힌트입니다.",
    "type": "string"
  },
  "need_content": {
    "description": "검색 결과에 페이지 콘텐츠를 요청합니다.",
    "type": "boolean"
  },
  "ori_question": {
    "description": "1–128 Unicode 문자의 원래 질문입니다. Null은 생략된 것으로 처리됩니다.",
    "maxLength": 128,
    "minLength": 1,
    "type": [
      "string",
      "null"
    ]
  },
  "query": {
    "description": "1–128 Unicode 문자의 검색 쿼리이며, 공백만으로 구성할 수 없습니다.",
    "maxLength": 128,
    "minLength": 1,
    "type": "string"
  }
}
```

### 요청 예시

```json
{
  "count": 5,
  "localization": "203.0.113.7",
  "need_content": true,
  "ori_question": null,
  "query": "DeepSeek V4 release"
}
```

## 동기 응답

HTTP 200

### 스키마

```json
{
  "additionalProperties": true,
  "properties": {
    "results": {
      "description": "검색 결과입니다. 빈 배열도 성공 응답이며 요금이 부과되지 않습니다.",
      "items": {
        "additionalProperties": true,
        "type": "object"
      },
      "type": "array"
    }
  },
  "required": [
    "results"
  ],
  "type": "object"
}
```

### 예시

```json
{
  "results": [
    {
      "snippet": "Browse DeepSeek models and API documentation.",
      "title": "DeepSeek models on RunAPI",
      "url": "https://runapi.ai/models/deepseek"
    }
  ]
}
```

## 프로토콜 오류: invalid_request

HTTP 400

### 스키마

```json
{
  "additionalProperties": true,
  "properties": {
    "error": {
      "additionalProperties": true,
      "properties": {
        "code": {
          "type": [
            "string",
            "null"
          ]
        },
        "message": {
          "type": "string"
        },
        "param": {
          "type": [
            "string",
            "null"
          ]
        },
        "type": {
          "type": "string"
        }
      },
      "required": [
        "message",
        "type"
      ],
      "type": "object"
    }
  },
  "required": [
    "error"
  ],
  "type": "object"
}
```

### 예시

```json
{
  "error": {
    "message": "'query' is required",
    "type": "invalid_request_error"
  }
}
```

## 프로토콜 오류: rate_limited

HTTP 429

### 스키마

```json
{
  "additionalProperties": true,
  "properties": {
    "error": {
      "additionalProperties": true,
      "properties": {
        "code": {
          "type": [
            "string",
            "null"
          ]
        },
        "message": {
          "type": "string"
        },
        "param": {
          "type": [
            "string",
            "null"
          ]
        },
        "type": {
          "type": "string"
        }
      },
      "required": [
        "message",
        "type"
      ],
      "type": "object"
    }
  },
  "required": [
    "error"
  ],
  "type": "object"
}
```

### 예시

```json
{
  "error": {
    "message": "Too many requests, please retry later",
    "type": "rate_limit_error"
  }
}
```

## 프로토콜 오류: unavailable

HTTP 503

### 스키마

```json
{
  "additionalProperties": true,
  "properties": {
    "error": {
      "additionalProperties": true,
      "properties": {
        "code": {
          "type": [
            "string",
            "null"
          ]
        },
        "message": {
          "type": "string"
        },
        "param": {
          "type": [
            "string",
            "null"
          ]
        },
        "type": {
          "type": "string"
        }
      },
      "required": [
        "message",
        "type"
      ],
      "type": "object"
    }
  },
  "required": [
    "error"
  ],
  "type": "object"
}
```

### 예시

```json
{
  "error": {
    "message": "Service temporarily unavailable",
    "type": "service_unavailable"
  }
}
```

## 생성된 코드 샘플

각 cURL, JavaScript, Python 예제는 프로토콜별 SDK 없이도 이 계약에서 검증된 요청을 전송합니다.

### curl

```curl
curl -X POST https://runapi.ai/v1/tools/search \
  -H Authorization:\ Bearer\ YOUR_API_TOKEN \
  -H Content-Type:\ application/json \
  -d \{\"query\":\"DeepSeek\ V4\ release\",\"count\":5,\"ori_question\":null,\"localization\":\"203.0.113.7\",\"need_content\":true\}
```

### javascript

```javascript
const response = await fetch("https://runapi.ai/v1/tools/search", {
  method: "POST",
  headers: {
  "Authorization": "Bearer YOUR_API_TOKEN",
  "Content-Type": "application/json"
},
  body: JSON.stringify({
  "query": "DeepSeek V4 release",
  "count": 5,
  "ori_question": null,
  "localization": "203.0.113.7",
  "need_content": true
})
});
if (!response.ok) throw new Error(`HTTP ${response.status}`);
const data = await response.json();
console.log(data);
```

### python

#### 설치

```bash
pip install requests
```

```python
import requests

response = requests.post(
    "https://runapi.ai/v1/tools/search",
    headers={"Authorization": "Bearer YOUR_API_TOKEN", "Content-Type": "application/json"},
    json={"query": "DeepSeek V4 release", "count": 5, "ori_question": None, "localization": "203.0.113.7", "need_content": True}
)
response.raise_for_status()
print(response.json())
```

## 관련 가이드

- [인증](https://runapi.ai/ko/docs/guides/authentication.md)

---

## RunAPI의 더 많은 정보

- [홈](https://runapi.ai/ko/.md)
- [모델 카탈로그](https://runapi.ai/ko/models.md)
- [요금](https://runapi.ai/ko/pricing.md)
- [제공사](https://runapi.ai/ko/models)
- [문서](https://runapi.ai/ko/docs/guides)
- [SDK](https://runapi.ai/ko/sdk.md)
- [CLI](https://runapi.ai/ko/cli.md)
- [MCP Server](https://runapi.ai/ko/mcp.md)
- [x402](https://runapi.ai/ko/x402.md)
- [Claude Code와 Cursor](https://runapi.ai/ko/claude-code-vs-cursor.md)
- [Cursor API 설정](https://runapi.ai/ko/cursor-api-setup.md)
- [RunAPI와 OpenRouter 비교](https://runapi.ai/ko/openrouter-alternative.md)
- [엔터프라이즈](https://runapi.ai/ko/contact.md)
- [문의](https://runapi.ai/ko/contact.md)
- [약관](https://runapi.ai/ko/terms.md)
- [개인정보](https://runapi.ai/ko/privacy.md)
- [에이전트용 사이트 색인](https://runapi.ai/llms.txt)

문의: contact@runapi.ai

## 구조화된 데이터

```json
[
  {
    "@context": "https://schema.org",
    "inLanguage": "ko",
    "@type": "WebSite",
    "name": "RunAPI",
    "url": "https://runapi.ai/ko",
    "potentialAction": {
      "@type": "SearchAction",
      "target": {
        "@type": "EntryPoint",
        "urlTemplate": "https://runapi.ai/ko/models?q={search_term_string}"
      },
      "query-input": "required name=search_term_string"
    }
  },
  {
    "@context": "https://schema.org",
    "inLanguage": "ko",
    "@type": "Organization",
    "name": "RunAPI",
    "url": "https://runapi.ai/ko",
    "logo": {
      "@type": "ImageObject",
      "url": "https://runapi.ai/koicon.svg"
    },
    "sameAs": [
      "https://github.com/runapi-ai"
    ]
  },
  {
    "@context": "https://schema.org",
    "inLanguage": "ko",
    "@type": "TechArticle",
    "headline": "DeepSeek Search",
    "description": "RunAPI의 DeepSeek 호환 Search 작업으로 요청을 보냅니다.",
    "url": "https://runapi.ai/ko/docs/api/deepseek/search",
    "mainEntityOfPage": "https://runapi.ai/ko/docs/api/deepseek/search"
  }
]
```
